varying vec2 texCoord;
uniform samplerCube envMap;


varying vec3 norm;
varying vec3 eyeVec;
varying vec3 lightVec;
void main()
{

vec3 bumpNorm = norm;
bumpNorm = normalize(bumpNorm);
vec3 envCol = textureCube(envMap,normalize(eyeVec)).rgb;
gl_FragColor = vec4(envCol ,1.0);
}